## flask-babel 0.9

=== Makefile ===
.PHONY: clean-pyc test upload-docs

all: clean-pyc test

test:
	@cd tests; python tests.py

tox-test:
	@tox

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean: clean-pyc

upload-docs:
	$(MAKE) -C docs html
	python setup.py upload_sphinx

.PHONY: upload-docs clean-pyc clean tox-test test all

## flask-babel 0.8

=== debian/changelog ===
flask-babel (0.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2013 15:01:40 +0200

flask-babel (0.8-1) experimental; urgency=low

  * Initial release. (Closes: #703533)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Apr 2013 00:45:00 +0200

=== debian/control ===
Source: flask-babel
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-flask (>= 0.8),
 python-babel,
 python-tz,
 python-jinja2 (>= 2.5),
 python-speaklater (>= 1.2),
 python-sphinx (>= 1.0.7+dfsg),
 python-doc
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask-babel/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask-babel/trunk/
Homepage: https://github.com/mitsuhiko/flask-babel

Package: python-flask-babel
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-flask (>= 0.8)
Suggests: python-flask-babel-doc
Description: internationalization and localization support for Flask
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.

Package: python-flask-babel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: internationalization and localization support for Flask (documentation)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Supported Python versions
PYVERS = $(shell pyversions -vr)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))

%:
	dh $@ --with=python2,sphinxdoc --buildsystem=python_distutils

override_dh_clean:
	dh_clean
	rm -rf docs/_build

override_dh_auto_build:
	# Rename flaskext/babel.py to flask_babel.py. This is done here to reduce the
	# size of debian/patches/flask-0.8-extension-scheme.patch.
	cp flaskext/babel.py flask_babel.py
	dh_auto_build
	python setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/lib/python*/*-packages/Flask_Babel-*.egg-info/SOURCES.txt

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex && cd tests && for py in $(PYVERS); do \
		PYTHONPATH=$(call pythonpath,$$py) python$$py tests.py ;\
	done
endif

## flask-babel 0.9

=== debian/changelog ===
flask-babel (0.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Python3 support (Closes: #804895)
  * switch to dh-python

 -- Jan Dittberner <jandd@debian.org>  Wed, 27 Jan 2016 14:46:18 +0100

flask-babel (0.9-2) unstable; urgency=medium

  * debian/control:
    - Move package to collab-maint.
    - Add dh-python to Build-Depends.
    - Bump Standards-Version to 3.9.6.
  * debian/{rules,python-flask-babel.pyremove}: Use dh_python2 to remove
    SOURCES.txt. (Closes: #803262)
  * debian/watch: Use PyPI redirector.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Oct 2015 20:07:49 +0100

flask-babel (0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #718419)
  * debian/patches:
    - flask-0.8-extension-scheme.patch: Removed, no longer needed.
    - sphinx-default-theme.patch: Use default sphinx theme since flask_small
      is not contained in the source tarball.
  * debian/control:
    - Bump python-babel in Build-Depends to (>= 1.0) and remove python-tz.
    - Add versioned dependencies for python-babel.
  * debian/copyright:
    - Update copyright years.
    - Add Daniel Neuhäuser.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Oct 2013 20:32:26 +0200

=== debian/control ===
Source: flask-babel
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-babel (>= 1.0),
               python-doc,
               python-flask (>= 0.8),
               python-jinja2 (>= 2.5),
               python-setuptools,
               python-speaklater (>= 1.2),
               python-sphinx (>= 1.0.7+dfsg),
               python3-all,
               python3-babel,
               python3-flask,
               python3-jinja2,
               python3-setuptools,
               python3-speaklater
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flask-babel.git
Vcs-Git: git://anonscm.debian.org/collab-maint/flask-babel.git
Homepage: https://github.com/mitsuhiko/flask-babel

Package: python-flask-babel
Architecture: all
Depends: python-babel (>= 1.0),
         python-flask (>= 0.8),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-flask-babel-doc
Description: internationalization and localization support for Flask
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This is the Python 2 version of the package.

Package: python3-flask-babel
Architecture: all
Depends: python3-babel, python3-flask, ${misc:Depends}, ${python3:Depends}
Suggests: python-flask-babel-doc
Description: internationalization and localization support for Flask
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This is the Python 3 version of the package.

Package: python-flask-babel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: internationalization and localization support for Flask (documentation)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-flask-babel
export PYBUILD_DESTDIR_python3=debian/python3-flask-babel

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args='set -ex && cd tests && PYTHONPATH={destdir}{install_dir} {interpreter} tests.py'
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Flask-Babel/Flask-Babel-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-babel 0.11.1

=== debian/changelog ===
flask-babel (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Remove python{,3}-speaklater from B-D. The necessary parts
    were integrated into flask-babel.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 May 2016 20:53:46 +0200

flask-babel (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Vcs-Got.
    - Bump Standards-Version.
    - Update Homepage.
    - Update Description.
    - Bump dependencies on python-babel to >= 2.3.
  * debian/python-flask-babel-doc.docs: Update path to docs.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 May 2016 22:05:12 +0200

=== debian/control ===
Source: flask-babel
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-babel (>= 2.3),
 python-doc,
 python-flask (>= 0.8),
 python-jinja2 (>= 2.5),
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python3-all,
 python3-babel (>= 2.3),
 python3-flask,
 python3-jinja2,
 python3-setuptools,
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flask-babel.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/flask-babel.git
Homepage: https://github.com/python-babel/flask-babel

Package: python-flask-babel
Architecture: all
Depends:
 python-babel (>= 2.3),
 python-flask (>= 0.8),
 ${misc:Depends},
 ${python:Depends}
Suggests:
 python-flask-babel-doc
Description: internationalization and localization support for Flask (Python 2)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This is the Python 2 version of the package.

Package: python3-flask-babel
Architecture: all
Depends:
 python3-babel (>= 2.3),
 python3-flask,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-flask-babel-doc
Description: internationalization and localization support for Flask (Python 3)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This is the Python 3 version of the package.

Package: python-flask-babel-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: internationalization and localization support for Flask (documentation)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This package contains the documentation.

## flask-babel 0.11.2

=== debian/changelog ===
flask-babel (0.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Jun 2017 01:09:13 +0200

flask-babel (0.11.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/{control,compat}: Bump debhelper compat to 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Apr 2017 20:37:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
- python-all (>= 2.6.6-3~),
+ python-all,
  python-babel (>= 2.3),
  python-doc,
  python-flask (>= 0.8),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-babel

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args='cd tests && PYTHONPATH={destdir}{install_dir} {interpreter} tests.py'
endif

## flask-babel 0.12.2

=== debian/changelog ===
flask-babel (0.12.2-2) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-flask-babel-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Submit.

 -- Ondřej Nový <onovy@debian.org>  Tue, 02 Feb 2021 15:51:15 +0000

flask-babel (0.12.2-1) unstable; urgency=medium

  [ Håvard Flaget Aasen ]
  * QA upload
  * New upstream release
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse.
  * d/control
    - Bump debhelper to 12
    - Update Standards-Version to 4.5.0
    - Update Vcs-* URI's now points to DPMT in salsa.
    - Add Rules-Requires-Root: no

  [ Johannes 'josch' Schauer ]
  * add debian/salsa-ci.yml
  * fix import of ImmutableDict from werkzeug (closes: #965050)

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 15 Jul 2020 09:24:58 +0200

flask-babel (0.11.2-3) unstable; urgency=medium

  * Orphan package.
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support (Closes: #936524).
  * Enabler autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Wed, 27 Nov 2019 11:49:05 +0100

=== debian/control ===
Source: flask-babel
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-all,
 python3-babel (>= 2.3),
 python3-flask,
 python3-jinja2,
 python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-babel
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-babel.git
Homepage: https://github.com/python-babel/flask-babel
Testsuite: autopkgtest-pkg-python

Package: python3-flask-babel
Architecture: all
Depends:
 python3-babel (>= 2.3),
 python3-flask,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-flask-babel-doc
Description: internationalization and localization support for Flask (Python 3)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This is the Python 3 version of the package.

Package: python-flask-babel-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: internationalization and localization support for Flask (documentation)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 export PYBUILD_NAME=flask-babel
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	python setup.py build_sphinx
+	python3 setup.py build_sphinx
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

## flask-babel 2.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

import:
	ghp-import -n -c flask-babel.tkte.ch "$(BUILDDIR)/html"

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
flask-babel (2.0.0-2) unstable; urgency=medium

  * Override buggy dgit upload

 -- intrigeri <intrigeri@debian.org>  Sun, 05 Dec 2021 10:37:01 +0000

flask-babel (2.0.0-1) unstable; urgency=medium

  * QA upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-babel and
      python3-sphinx.
    + python3-flask-babel: Drop versioned constraint on python3-babel in
      Depends.

  [ intrigeri ]
  * New upstream version 2.0.0
  * Add new upstream python3-tz build & runtime dependency
  * Drop obsolete werkzeug.patch
  * Drop obsolete intersphinx-mapping.patch: upstream does not use
    this feature anymore
  * Replace sphinx-default-theme.patch with a build-dependency
    on python3-pallets-sphinx-themes
  * Replace obsolete override_dh_auto_test with build-dependencies
    on python3-pytest and python3-pytest-mock

 -- intrigeri <intrigeri@debian.org>  Sun, 05 Dec 2021 10:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- python3-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx,
  python3-all,
- python3-babel (>= 2.3),
+ python3-babel,
  python3-flask,
  python3-jinja2,
+ python3-pallets-sphinx-themes,
+ python3-pytest,
+ python3-pytest-mock,
  python3-setuptools,
+ python3-tz,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-babel
@@ -21,8 +25,9 @@
 Package: python3-flask-babel
 Architecture: all
 Depends:
- python3-babel (>= 2.3),
+ python3-babel,
  python3-flask,
+ python3-tz,
  ${misc:Depends},
  ${python3:Depends}
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-babel

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_sphinx

## flask-babel 4.0.0

=== debian/changelog ===
flask-babel (4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 07 Nov 2023 16:01:23 -0500

flask-babel (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Adopt this package. (Closes: #873649)
  * d/watch: update to v4 and use git mode instead of pypi.
  * d/control: update dependencies.
  * d/rules: build sphinx documentation in a temporary directory.
  * d/control: Standards-Version update to 4.6.2. No changes needed.
  * d/control: Use pybuild-autopkgtest.
  * d/patches: skip failing tests.
  * d/copyright: add pollo to the debian dir.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 09 Sep 2023 00:09:47 -0400

flask-babel (2.0.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 19:36:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,32 @@
 Source: flask-babel
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends:
- debhelper-compat (= 12),
- dh-python,
- python3-sphinx,
- python3-all,
- python3-babel,
- python3-flask,
- python3-jinja2,
- python3-pallets-sphinx-themes,
- python3-pytest,
- python3-pytest-mock,
- python3-setuptools,
- python3-tz,
-Standards-Version: 4.5.0
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-all,
+               python3-poetry-core,
+               pybuild-plugin-pyproject,
+               python3-tz <!nocheck>,
+               python3-flask <!nocheck>,
+               python3-babel <!nocheck>,
+               python3-jinja2 <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+               python3-sphinx <!nodoc>,
+               furo <!nodoc>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-babel
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-babel.git
 Homepage: https://github.com/python-babel/flask-babel
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-flask-babel
 Architecture: all
-Depends:
- python3-babel,
- python3-flask,
- python3-tz,
- ${misc:Depends},
- ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Suggests:
  python-flask-babel-doc
 Description: internationalization and localization support for Flask (Python 3)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-babel

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

execute_before_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-flask-babel-doc/usr/share/doc/python-flask-babel-doc/html

## flask-babel 4.1.0

=== debian/changelog ===
flask-babel (4.1.0-3) unstable; urgency=medium

  * Team upload
  * Replace python3-tz build-dep with python3-pytz
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Sep 2025 11:13:32 +0200

flask-babel (4.1.0-2) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add some more defaults
  * Add patch from patch-queue branch
    Added patch:
    Fix-list-translations-ordering-in-tests.patch
    (Closes: #1077443)
  * Autopkgtest: Execute upstream tests here
  * d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * d/control: Switch to dh-sequence-{python3,sphinxdoc}
  * d/rules: Drop --with from the default target

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Sep 2024 09:18:59 +0200

flask-babel (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: delete 0001, as it's not needed anymore.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 03 Jul 2024 18:53:28 -0400

=== debian/control ===
Source: flask-babel
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               furo <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-babel <!nocheck>,
               python3-flask <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-poetry-core,
               python3-pytest-mock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytz <!nocheck>,
               python3-sphinx <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-babel
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-babel.git
Homepage: https://github.com/python-babel/flask-babel
Testsuite: autopkgtest-pkg-pybuild

Package: python-flask-babel-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: internationalization and localization support for Flask (documentation)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This package contains the documentation.

Package: python3-flask-babel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests:
 python-flask-babel-doc
Description: internationalization and localization support for Flask (Python 3)
 Flask-Babel is an extension to Flask that adds internationalization and
 localization support. It has a friendly interface to gettext translations and
 supports date formatting with timezones.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-babel

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-flask-babel-doc/usr/share/doc/python-flask-babel-doc/html

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-mock,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/python-babel/flask-babel.git \
refs/tags/v([\d\.]+)
